try:
    from setuptools import setup, find_packages
except ImportError:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

setup(
    name='middlewares',
    version='0.1',
    description='wsgi middleware package, contains debuging, profiling, csrf',
    author='Shane Caraveo',
    author_email='shane@caraveo.com',
    url='http://bitbucket.org/mixedpuppy/middlewares/',
    license='MIT',
    install_requires=[
        "line_profiler",
        "beaker",
    ],
    setup_requires=["PasteScript>=1.6.3"],
    packages=find_packages(exclude=['ez_setup']),
    zip_safe=False,
    paster_plugins=['PasteScript', 'Pylons'],
    entry_points="""
    [paste.filter_app_factory]
    csrf = middlewares.csrf:make_csrf_filter_app
    dbgp = middlewares.debug:make_dbgp_middleware
    profiler = middlewares.profiler:make_profile_middleware
    """,
)
